[Pkg-jed-commit] r42 - in trunk/packages/jed/debian: . init.d

Jörg Sommer jo-guest@costa.debian.org
Thu, 12 May 2005 18:22:58 +0000


Author: jo-guest
Date: 2005-05-12 18:22:57 +0000 (Thu, 12 May 2005)
New Revision: 42

Modified:
   trunk/packages/jed/debian/changelog
   trunk/packages/jed/debian/init.d/00debian.sl
   trunk/packages/jed/debian/jed.postinst
   trunk/packages/jed/debian/jed.prerm
   trunk/packages/jed/debian/rules
   trunk/packages/jed/debian/xjed.postinst
   trunk/packages/jed/debian/xjed.prerm
Log:
* added "Default_Jedrc_Startup_File = NULL" to 00debian.sl

* extended changelog

* modified jed/rules to install jed.rc in examples

* added code to jed's and xjed's postinst and prerm files to handle
  /usr/share/jed/compile

* xjed must remove xjed as jed-script alternative in prerm


Modified: trunk/packages/jed/debian/changelog
===================================================================
--- trunk/packages/jed/debian/changelog	2005-05-07 17:07:18 UTC (rev 41)
+++ trunk/packages/jed/debian/changelog	2005-05-12 18:22:57 UTC (rev 42)
@@ -19,10 +19,10 @@
     /usr/share/jed/compile/jed-common with the approprite arguments.
   * debian/jed-sl.*: Removed files
 
-  +++ Changes by Jörg Sommer
+  +++ Changes by Jörg Sommer <joerg@alea.gnuu.de>
 
   * changed headline of 00debian.sl to name the correct file name
-    (Closes: ...)
+    (Closes: 307110)
   * moved /u/s/j/l/jed.conf to /u/s/d/jed-common/examples (Closes: 287781)
   * discribed the handling of ~/.jed/, if jed-extra is installed
     (Closes: 210274)
@@ -38,6 +38,9 @@
     + added xjed to recommends of jed-common
     + changed description of jed-common
   * rewrote rules to make more use of debhelper
+  * moved /u/s/j/lib/jed.rc to examples and disabled searching for in
+    00debian.sl by setting Default_Jedrc_Startup_File = NULL
+    (Closes: 219448)
 
  -- 
 

Modified: trunk/packages/jed/debian/init.d/00debian.sl
===================================================================
--- trunk/packages/jed/debian/init.d/00debian.sl	2005-05-07 17:07:18 UTC (rev 41)
+++ trunk/packages/jed/debian/init.d/00debian.sl	2005-05-12 18:22:57 UTC (rev 42)
@@ -53,3 +53,6 @@
     }
 }
 
+% Disable loading of jed.rc from /usr/share/jed/lib, because this kills user
+% setting in their private config #219448
+Default_Jedrc_Startup_File = NULL;

Modified: trunk/packages/jed/debian/jed.postinst
===================================================================
--- trunk/packages/jed/debian/jed.postinst	2005-05-07 17:07:18 UTC (rev 41)
+++ trunk/packages/jed/debian/jed.postinst	2005-05-12 18:22:57 UTC (rev 42)
@@ -9,6 +9,18 @@
     update-alternatives \
     	--install /usr/bin/jed-script jed-script /usr/bin/jed 50 \
     	--slave /usr/share/man/man1/jed-script.1.gz jed-script.1.gz /usr/share/man/man1/jed.1.gz;
+
+    TEMP=$(tempfile)
+    RET=0
+    printf "Running files in /usr/share/jed/compile/..."
+    run-parts --exit-on-error --arg=install /usr/share/jed/compile/ \
+        >$TEMP 2>&1 || RET=$?
+    if test "$RET" -ne 0 ; then
+	echo "failed (see $TEMP)"
+	exit $RET
+    fi
+    echo "done"
+    rm $TEMP
     ;;
 
   abort-upgrade|abort-remove|abort-deconfigure)

Modified: trunk/packages/jed/debian/jed.prerm
===================================================================
--- trunk/packages/jed/debian/jed.prerm	2005-05-07 17:07:18 UTC (rev 41)
+++ trunk/packages/jed/debian/jed.prerm	2005-05-12 18:22:57 UTC (rev 42)
@@ -3,4 +3,16 @@
 update-alternatives --remove editor /usr/bin/jed
 update-alternatives --remove jed-script /usr/bin/jed
 
+TEMP=$(tempfile)
+RET=0
+printf "Running files in /usr/share/jed/compile/..."
+run-parts --exit-on-error --arg=install /usr/share/jed/compile/ \
+    >$TEMP 2>&1 || RET=$?
+if test "$RET" -ne 0 ; then
+	echo "failed (see $TEMP)"
+	exit $RET
+fi
+echo "done"
+rm $TEMP
+
 #DEBHELPER#

Modified: trunk/packages/jed/debian/rules
===================================================================
--- trunk/packages/jed/debian/rules	2005-05-07 17:07:18 UTC (rev 41)
+++ trunk/packages/jed/debian/rules	2005-05-12 18:22:57 UTC (rev 42)
@@ -75,7 +75,7 @@
 	@echo --- JED-COMMON ---
 	@echo
 	# install *.sl files
-	dh_install -pjed-common --autodest $(temp)/usr/share/jed/lib/
+	dh_install -pjed-common -Xjed.rc --autodest $(temp)/usr/share/jed/lib/
 
 	# fill up /usr/share/doc/jed-common
 	dh_installchangelogs -pjed-common changes.txt
@@ -86,7 +86,8 @@
 	dh_link -pjed-common usr/share/doc/jed-common usr/share/jed/doc
 
 	# install some extra docs from the source
-	dh_installexamples -pjed-common lib/jed.conf doc/tm/
+	dh_installexamples -pjed-common lib/jed.conf doc/tm/ \
+	    $(temp)/usr/share/jed/lib/jed.rc
 	
 	# install info files
 	#dh_installinfo -pjed-common info/jed.info info/jed.?in

Modified: trunk/packages/jed/debian/xjed.postinst
===================================================================
--- trunk/packages/jed/debian/xjed.postinst	2005-05-07 17:07:18 UTC (rev 41)
+++ trunk/packages/jed/debian/xjed.postinst	2005-05-12 18:22:57 UTC (rev 42)
@@ -5,6 +5,18 @@
     update-alternatives \
     	--install /usr/bin/jed-script jed-script /usr/bin/xjed 40 \
     	--slave /usr/share/man/man1/jed-script.1.gz jed-script.1.gz /usr/share/man/man1/xjed.1.gz;
+
+    TEMP=$(tempfile)
+    RET=0
+    printf "Running files in /usr/share/jed/compile/..."
+    run-parts --exit-on-error --arg=install /usr/share/jed/compile/ \
+        >$TEMP 2>&1 || RET=$?
+    if test "$RET" -ne 0 ; then
+	echo "failed (see $TEMP)"
+	exit $RET
+    fi
+    echo "done"
+    rm $TEMP
     ;;
 
   abort-upgrade|abort-remove|abort-deconfigure)

Modified: trunk/packages/jed/debian/xjed.prerm
===================================================================
--- trunk/packages/jed/debian/xjed.prerm	2005-05-07 17:07:18 UTC (rev 41)
+++ trunk/packages/jed/debian/xjed.prerm	2005-05-12 18:22:57 UTC (rev 42)
@@ -1,5 +1,17 @@
 #!/bin/sh
 
-update-alternatives --remove jed-script /usr/bin/jed
+update-alternatives --remove jed-script /usr/bin/xjed
 
+TEMP=$(tempfile)
+RET=0
+printf "Running files in /usr/share/jed/compile/..."
+run-parts --exit-on-error --arg=install /usr/share/jed/compile/ \
+    >$TEMP 2>&1 || RET=$?
+if test "$RET" -ne 0 ; then
+	echo "failed (see $TEMP)"
+	exit $RET
+fi
+echo "done"
+rm $TEMP
+
 #DEBHELPER#